summaryrefslogtreecommitdiffstats
path: root/src/grep/tests/proc
diff options
context:
space:
mode:
Diffstat (limited to 'src/grep/tests/proc')
-rwxr-xr-xsrc/grep/tests/proc18
1 files changed, 18 insertions, 0 deletions
diff --git a/src/grep/tests/proc b/src/grep/tests/proc
new file mode 100755
index 0000000..43b62d8
--- /dev/null
+++ b/src/grep/tests/proc
@@ -0,0 +1,18 @@
+#! /bin/sh
+# Test the /proc file system if available.
+
+# Copyright 2016-2021 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+fail=0
+
+test -r /proc/self/status || skip_ 'No /proc/self/status on this platform.'
+
+grep '^' </proc/self/status >/dev/null || fail=1
+
+Exit $fail